List all jobs
curl --request GET \
--url https://api-service.fribl.co/api/v1/jobs \
--header 'x-api-key: <api-key>'import requests
url = "https://api-service.fribl.co/api/v1/jobs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-service.fribl.co/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-service.fribl.co/api/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-service.fribl.co/api/v1/jobs")
.header("x-api-key", "<api-key>")
.asString();{
"message": "<string>",
"length": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"title": "Senior Software Engineer",
"company": "Tech Corp",
"description": "We are looking for...",
"activity_sector": "Technology",
"locations": [
{
"city": "Amsterdam",
"country": "Netherlands"
}
],
"job_type": "Full-time",
"contract_type": "Permanent"
},
"experience_preference": {
"title": "Software Engineer",
"activity_sector": "Technology",
"description": "Experience in backend development",
"duration": 60
},
"education_preference": {
"degree": "Master of Science",
"major": "Computer Science",
"score": ""
},
"job_requirements": [
"5+ years experience",
"Strong communication"
],
"source_language": "<string>",
"hard_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"soft_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10,
"has_more": true
}
}{
"error": "<string>"
}Jobs
List all jobs
Retrieve a paginated list of all job descriptions in your workspace. Results are returned in reverse chronological order with pagination metadata to support incremental loading.
GET
/
jobs
List all jobs
curl --request GET \
--url https://api-service.fribl.co/api/v1/jobs \
--header 'x-api-key: <api-key>'import requests
url = "https://api-service.fribl.co/api/v1/jobs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-service.fribl.co/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-service.fribl.co/api/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-service.fribl.co/api/v1/jobs")
.header("x-api-key", "<api-key>")
.asString();{
"message": "<string>",
"length": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"title": "Senior Software Engineer",
"company": "Tech Corp",
"description": "We are looking for...",
"activity_sector": "Technology",
"locations": [
{
"city": "Amsterdam",
"country": "Netherlands"
}
],
"job_type": "Full-time",
"contract_type": "Permanent"
},
"experience_preference": {
"title": "Software Engineer",
"activity_sector": "Technology",
"description": "Experience in backend development",
"duration": 60
},
"education_preference": {
"degree": "Master of Science",
"major": "Computer Science",
"score": ""
},
"job_requirements": [
"5+ years experience",
"Strong communication"
],
"source_language": "<string>",
"hard_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"soft_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10,
"has_more": true
}
}{
"error": "<string>"
}Authorizations
API key in UUID format. Include this header with every authenticated request.
Query Parameters
Maximum number of jobs to return per page.
Number of jobs to skip before starting to return results. Use in combination with limit for pagination.
⌘I